IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSPLAN_PRIMODEL')
 CREATE TABLE T_MSPLAN_PRIMODEL (
	FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME,
	FMODIFYTIME DATETIME,
	FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
	FBITINDEX BIGINT DEFAULT 0 NOT NULL,
	FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
	FPRIORITYTYPE BIGINT DEFAULT 0 NOT NULL,
	FDEMANDBILL NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSPLAN_PRIMODEL_L')
 CREATE TABLE T_MSPLAN_PRIMODEL_L (
	FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSPLAN_PMODELENTRY')
 CREATE TABLE T_MSPLAN_PMODELENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INT DEFAULT 0 NOT NULL,
	FELEMENTID BIGINT DEFAULT 0 NOT NULL,
	FFIELDFLAG NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCONDITIONDESC NVARCHAR(300) DEFAULT ' ' NOT NULL,
	FPRIORITYDEFINE BIGINT DEFAULT 0 NOT NULL,
	FFRUNCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FFRUNCONDITION_TAG NCLOB NULL
);